Contents

# DatePart Function

The DatePart function returns a specified part of a date.

### Syntax:

    DatePart (interval As String, date As Date [, firstDayOfWeek As Integer [, firstWeekOfYear As Integer]]) As Long

### Vraćena vrijednost:

The extracted part for the given date.

### Parameters:

interval - A string expression from the following table, specifying the date interval.

interval (string value) | Objašnjenje
--- | ---
yyyy | Godina
q | Kvartal
m | Mjesec
y | Dan u godini
w | Dan u tjednu
ww | Week of year
d | Day
h | Sat
n | Minuta
s | Sekunda

date - The date from which the result is calculated.

Date literals allow to specify unambiguous date variables that are independent from the current language. Literals are enclosed between hash signs #. Possible formats are:

- #yyyy-mm-dd#

- #mm/dd/yyyy#

firstdayofweek: An optional parameter that specifies the starting day of a week.

firstdayofweek value | Objašnjenje
--- | ---
0 | Use system default value
1 | Sunday (default)
2 | Ponedjeljak
3 | Utorak
4 | Srijeda
5 | Četvrtak
6 | Petak
7 | Subota

firstweekofyear: An optional parameter that specifies the starting week of a year.

firstweekofyear value | Objašnjenje
--- | ---
0 | Use system default value
1 | Week 1 is the week with January, 1st (default)
2 | Week 1 is the first week containing four or more days of that year
3 | Week 1 is the first week containing only days of the new year

### Example:

    Sub example_datepart
        MsgBox DatePart("ww", #01/02/2005#) ' displays 2 because weeks start on Sunday
        MsgBox DatePart("ww", #12/31/2005#) ' displays 53
        MsgBox DatePart(date:=#2005-12-30#, interval:="q") ' displays 4
    End Sub